Package org.eclipse.ui.menus

## Interface IWorkbenchWidget

All Superinterfaces:
  `IWidget`

All Known Implementing Classes:
  `AbstractWorkbenchTrimWidget`

    public interface IWorkbenchWidget
    extends IWidget

Interface used for IWidget's contributed to the Workbench. Allows the contributed widget to be informed as to which WorkbenchWindow it's being hosted in.

Since:
  3.2
See Also:
  `IWidget`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init​(IWorkbenchWindow workbenchWindow)` Initializes this widget contribution by supplying the `IWorkbenchWindow` that it's being hosted in.

### Methods inherited from interface org.eclipse.jface.menus.IWidget

`dispose, fill, fill, fill, fill`

### Method Detail

#### init

    void init​(IWorkbenchWindow workbenchWindow)

Initializes this widget contribution by supplying the `IWorkbenchWindow` that it's being hosted in.

This method is called after the no argument constructor and before other methods are called.

Parameters:
  `workbenchWindow` - the current workbench